"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VideoProfileType = exports.VideoDeviceInfo = exports.VideoCompositingLayout = exports.ThumbImageBuffer = exports.StreamFallbackOptions = exports.Size = exports.ScreenCaptureSourceType = exports.ScreenCaptureSourceInfo = exports.ScreenCaptureConfiguration = exports.SDKBuildInfo = exports.RtmpStreamLifeCycleType = exports.RtcEngineContext = exports.RemoteVideoStats = exports.RemoteAudioStats = exports.Region = exports.QualityReportFormatType = exports.PublisherConfiguration = exports.ProxyType = exports.PriorityType = exports.MetadataType = exports.Metadata = exports.MediaDeviceType = exports.MediaDeviceStateType = exports.MaxMetadataSizeType = exports.LocalVideoStats = exports.LeaveChannelOptions = exports.InjectStreamStatus = exports.InjectStreamConfig = exports.ImageTrackOptions = exports.IVideoDeviceManager = exports.IRtcEngine = exports.FeatureType = exports.ExtensionInfo = exports.DirectCdnStreamingStats = exports.DirectCdnStreamingState = exports.DirectCdnStreamingMediaOptions = exports.DirectCdnStreamingError = exports.CloudProxyType = exports.ChannelMediaOptions = exports.CameraDirection = exports.CameraCapturerConfiguration = exports.AudioReverbType = exports.AudioMixingStateType = exports.AudioMixingReasonType = exports.AudioEqualizationBandFrequency = exports.AudioDeviceInfo = exports.AdvancedAudioOptions = void 0;
require("./extension/IAgoraRtcEngineExtension");
/**
 * Media device types.
 */
let MediaDeviceType = /*#__PURE__*/function (MediaDeviceType) {
  MediaDeviceType[MediaDeviceType["UnknownAudioDevice"] = -1] = "UnknownAudioDevice";
  MediaDeviceType[MediaDeviceType["AudioPlayoutDevice"] = 0] = "AudioPlayoutDevice";
  MediaDeviceType[MediaDeviceType["AudioRecordingDevice"] = 1] = "AudioRecordingDevice";
  MediaDeviceType[MediaDeviceType["VideoRenderDevice"] = 2] = "VideoRenderDevice";
  MediaDeviceType[MediaDeviceType["VideoCaptureDevice"] = 3] = "VideoCaptureDevice";
  MediaDeviceType[MediaDeviceType["AudioApplicationPlayoutDevice"] = 4] = "AudioApplicationPlayoutDevice";
  MediaDeviceType[MediaDeviceType["AudioVirtualPlayoutDevice"] = 5] = "AudioVirtualPlayoutDevice";
  MediaDeviceType[MediaDeviceType["AudioVirtualRecordingDevice"] = 6] = "AudioVirtualRecordingDevice";
  return MediaDeviceType;
}({});
/**
 * The playback state of the music file.
 */
exports.MediaDeviceType = MediaDeviceType;
let AudioMixingStateType = /*#__PURE__*/function (AudioMixingStateType) {
  AudioMixingStateType[AudioMixingStateType["AudioMixingStatePlaying"] = 710] = "AudioMixingStatePlaying";
  AudioMixingStateType[AudioMixingStateType["AudioMixingStatePaused"] = 711] = "AudioMixingStatePaused";
  AudioMixingStateType[AudioMixingStateType["AudioMixingStateStopped"] = 713] = "AudioMixingStateStopped";
  AudioMixingStateType[AudioMixingStateType["AudioMixingStateFailed"] = 714] = "AudioMixingStateFailed";
  return AudioMixingStateType;
}({});
/**
 * The reason why the playback state of the music file changes. Reported in the onAudioMixingStateChanged callback.
 */
exports.AudioMixingStateType = AudioMixingStateType;
let AudioMixingReasonType = /*#__PURE__*/function (AudioMixingReasonType) {
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonCanNotOpen"] = 701] = "AudioMixingReasonCanNotOpen";
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonTooFrequentCall"] = 702] = "AudioMixingReasonTooFrequentCall";
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonInterruptedEof"] = 703] = "AudioMixingReasonInterruptedEof";
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonOneLoopCompleted"] = 721] = "AudioMixingReasonOneLoopCompleted";
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonAllLoopsCompleted"] = 723] = "AudioMixingReasonAllLoopsCompleted";
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonStoppedByUser"] = 724] = "AudioMixingReasonStoppedByUser";
  AudioMixingReasonType[AudioMixingReasonType["AudioMixingReasonOk"] = 0] = "AudioMixingReasonOk";
  return AudioMixingReasonType;
}({});
/**
 * @ignore
 */
exports.AudioMixingReasonType = AudioMixingReasonType;
let InjectStreamStatus = /*#__PURE__*/function (InjectStreamStatus) {
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStartSuccess"] = 0] = "InjectStreamStatusStartSuccess";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStartAlreadyExists"] = 1] = "InjectStreamStatusStartAlreadyExists";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStartUnauthorized"] = 2] = "InjectStreamStatusStartUnauthorized";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStartTimedout"] = 3] = "InjectStreamStatusStartTimedout";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStartFailed"] = 4] = "InjectStreamStatusStartFailed";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStopSuccess"] = 5] = "InjectStreamStatusStopSuccess";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStopNotFound"] = 6] = "InjectStreamStatusStopNotFound";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStopUnauthorized"] = 7] = "InjectStreamStatusStopUnauthorized";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStopTimedout"] = 8] = "InjectStreamStatusStopTimedout";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusStopFailed"] = 9] = "InjectStreamStatusStopFailed";
  InjectStreamStatus[InjectStreamStatus["InjectStreamStatusBroken"] = 10] = "InjectStreamStatusBroken";
  return InjectStreamStatus;
}({});
/**
 * The midrange frequency for audio equalization.
 */
exports.InjectStreamStatus = InjectStreamStatus;
let AudioEqualizationBandFrequency = /*#__PURE__*/function (AudioEqualizationBandFrequency) {
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand31"] = 0] = "AudioEqualizationBand31";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand62"] = 1] = "AudioEqualizationBand62";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand125"] = 2] = "AudioEqualizationBand125";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand250"] = 3] = "AudioEqualizationBand250";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand500"] = 4] = "AudioEqualizationBand500";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand1k"] = 5] = "AudioEqualizationBand1k";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand2k"] = 6] = "AudioEqualizationBand2k";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand4k"] = 7] = "AudioEqualizationBand4k";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand8k"] = 8] = "AudioEqualizationBand8k";
  AudioEqualizationBandFrequency[AudioEqualizationBandFrequency["AudioEqualizationBand16k"] = 9] = "AudioEqualizationBand16k";
  return AudioEqualizationBandFrequency;
}({});
/**
 * Audio reverberation types.
 */
exports.AudioEqualizationBandFrequency = AudioEqualizationBandFrequency;
let AudioReverbType = /*#__PURE__*/function (AudioReverbType) {
  AudioReverbType[AudioReverbType["AudioReverbDryLevel"] = 0] = "AudioReverbDryLevel";
  AudioReverbType[AudioReverbType["AudioReverbWetLevel"] = 1] = "AudioReverbWetLevel";
  AudioReverbType[AudioReverbType["AudioReverbRoomSize"] = 2] = "AudioReverbRoomSize";
  AudioReverbType[AudioReverbType["AudioReverbWetDelay"] = 3] = "AudioReverbWetDelay";
  AudioReverbType[AudioReverbType["AudioReverbStrength"] = 4] = "AudioReverbStrength";
  return AudioReverbType;
}({});
/**
 * @ignore
 */
exports.AudioReverbType = AudioReverbType;
let StreamFallbackOptions = /*#__PURE__*/function (StreamFallbackOptions) {
  StreamFallbackOptions[StreamFallbackOptions["StreamFallbackOptionDisabled"] = 0] = "StreamFallbackOptionDisabled";
  StreamFallbackOptions[StreamFallbackOptions["StreamFallbackOptionVideoStreamLow"] = 1] = "StreamFallbackOptionVideoStreamLow";
  StreamFallbackOptions[StreamFallbackOptions["StreamFallbackOptionAudioOnly"] = 2] = "StreamFallbackOptionAudioOnly";
  return StreamFallbackOptions;
}({});
/**
 * @ignore
 */
exports.StreamFallbackOptions = StreamFallbackOptions;
let PriorityType = /*#__PURE__*/function (PriorityType) {
  PriorityType[PriorityType["PriorityHigh"] = 50] = "PriorityHigh";
  PriorityType[PriorityType["PriorityNormal"] = 100] = "PriorityNormal";
  return PriorityType;
}({});
/**
 * The statistics of the local video stream.
 */
exports.PriorityType = PriorityType;
class LocalVideoStats {}

/**
 * Audio statistics of the remote user.
 */
exports.LocalVideoStats = LocalVideoStats;
class RemoteAudioStats {}

/**
 * Statistics of the remote video stream.
 */
exports.RemoteAudioStats = RemoteAudioStats;
class RemoteVideoStats {}

/**
 * @ignore
 */
exports.RemoteVideoStats = RemoteVideoStats;
class Region {}

/**
 * @ignore
 */
exports.Region = Region;
class VideoCompositingLayout {}

/**
 * @ignore
 */
exports.VideoCompositingLayout = VideoCompositingLayout;
class InjectStreamConfig {}

/**
 * Lifecycle of the CDN live video stream.
 *
 * Deprecated
 */
exports.InjectStreamConfig = InjectStreamConfig;
let RtmpStreamLifeCycleType = /*#__PURE__*/function (RtmpStreamLifeCycleType) {
  RtmpStreamLifeCycleType[RtmpStreamLifeCycleType["RtmpStreamLifeCycleBind2channel"] = 1] = "RtmpStreamLifeCycleBind2channel";
  RtmpStreamLifeCycleType[RtmpStreamLifeCycleType["RtmpStreamLifeCycleBind2owner"] = 2] = "RtmpStreamLifeCycleBind2owner";
  return RtmpStreamLifeCycleType;
}({});
/**
 * @ignore
 */
exports.RtmpStreamLifeCycleType = RtmpStreamLifeCycleType;
class PublisherConfiguration {}

/**
 * The camera direction.
 */
exports.PublisherConfiguration = PublisherConfiguration;
let CameraDirection = /*#__PURE__*/function (CameraDirection) {
  CameraDirection[CameraDirection["CameraRear"] = 0] = "CameraRear";
  CameraDirection[CameraDirection["CameraFront"] = 1] = "CameraFront";
  return CameraDirection;
}({});
/**
 * The cloud proxy type.
 */
exports.CameraDirection = CameraDirection;
let CloudProxyType = /*#__PURE__*/function (CloudProxyType) {
  CloudProxyType[CloudProxyType["NoneProxy"] = 0] = "NoneProxy";
  CloudProxyType[CloudProxyType["UdpProxy"] = 1] = "UdpProxy";
  CloudProxyType[CloudProxyType["TcpProxy"] = 2] = "TcpProxy";
  return CloudProxyType;
}({});
/**
 * The camera capturer preference.
 */
exports.CloudProxyType = CloudProxyType;
class CameraCapturerConfiguration {}

/**
 * @ignore
 */
exports.CameraCapturerConfiguration = CameraCapturerConfiguration;
class ScreenCaptureConfiguration {}

/**
 * @ignore
 */
exports.ScreenCaptureConfiguration = ScreenCaptureConfiguration;
class Size {}

/**
 * @ignore
 */
exports.Size = Size;
class ThumbImageBuffer {}

/**
 * @ignore
 */
exports.ThumbImageBuffer = ThumbImageBuffer;
let ScreenCaptureSourceType = /*#__PURE__*/function (ScreenCaptureSourceType) {
  ScreenCaptureSourceType[ScreenCaptureSourceType["ScreencapturesourcetypeUnknown"] = -1] = "ScreencapturesourcetypeUnknown";
  ScreenCaptureSourceType[ScreenCaptureSourceType["ScreencapturesourcetypeWindow"] = 0] = "ScreencapturesourcetypeWindow";
  ScreenCaptureSourceType[ScreenCaptureSourceType["ScreencapturesourcetypeScreen"] = 1] = "ScreencapturesourcetypeScreen";
  ScreenCaptureSourceType[ScreenCaptureSourceType["ScreencapturesourcetypeCustom"] = 2] = "ScreencapturesourcetypeCustom";
  return ScreenCaptureSourceType;
}({});
/**
 * @ignore
 */
exports.ScreenCaptureSourceType = ScreenCaptureSourceType;
class ScreenCaptureSourceInfo {}

/**
 * The advanced options for audio.
 */
exports.ScreenCaptureSourceInfo = ScreenCaptureSourceInfo;
class AdvancedAudioOptions {}

/**
 * Image configurations.
 */
exports.AdvancedAudioOptions = AdvancedAudioOptions;
class ImageTrackOptions {}

/**
 * The channel media options.
 *
 * Agora supports publishing multiple audio streams and one video stream at the same time and in the same RtcConnection. For example, publishMicrophoneTrack, publishCustomAudioTrack, and publishMediaPlayerAudioTrack can be set as true at the same time, but only one of publishCameraTrack, publishScreenCaptureVideo, publishCustomVideoTrack, or publishEncodedVideoTrack can be set as true. Agora recommends that you set member parameter values yourself according to your business scenario, otherwise the SDK will automatically assign values to member parameters.
 */
exports.ImageTrackOptions = ImageTrackOptions;
class ChannelMediaOptions {}

/**
 * The cloud proxy type.
 */
exports.ChannelMediaOptions = ChannelMediaOptions;
let ProxyType = /*#__PURE__*/function (ProxyType) {
  ProxyType[ProxyType["NoneProxyType"] = 0] = "NoneProxyType";
  ProxyType[ProxyType["UdpProxyType"] = 1] = "UdpProxyType";
  ProxyType[ProxyType["TcpProxyType"] = 2] = "TcpProxyType";
  ProxyType[ProxyType["LocalProxyType"] = 3] = "LocalProxyType";
  ProxyType[ProxyType["TcpProxyAutoFallbackType"] = 4] = "TcpProxyAutoFallbackType";
  ProxyType[ProxyType["HttpProxyType"] = 5] = "HttpProxyType";
  ProxyType[ProxyType["HttpsProxyType"] = 6] = "HttpsProxyType";
  return ProxyType;
}({});
/**
 * The type of the advanced feature.
 */
exports.ProxyType = ProxyType;
let FeatureType = /*#__PURE__*/function (FeatureType) {
  FeatureType[FeatureType["VideoVirtualBackground"] = 1] = "VideoVirtualBackground";
  FeatureType[FeatureType["VideoBeautyEffect"] = 2] = "VideoBeautyEffect";
  return FeatureType;
}({});
/**
 * The options for leaving a channel.
 */
exports.FeatureType = FeatureType;
class LeaveChannelOptions {}

/**
 * The SDK uses the IRtcEngineEventHandler interface to send event notifications to your app. Your app can get those notifications through methods that inherit this interface.
 */
exports.LeaveChannelOptions = LeaveChannelOptions;
/**
 * Video device management methods.
 */
class IVideoDeviceManager {}

/**
 * Configurations for the RtcEngineContext instance.
 */
exports.IVideoDeviceManager = IVideoDeviceManager;
class RtcEngineContext {}

/**
 * Metadata type of the observer. We only support video metadata for now.
 */
exports.RtcEngineContext = RtcEngineContext;
let MetadataType = /*#__PURE__*/function (MetadataType) {
  MetadataType[MetadataType["UnknownMetadata"] = -1] = "UnknownMetadata";
  MetadataType[MetadataType["VideoMetadata"] = 0] = "VideoMetadata";
  return MetadataType;
}({});
/**
 * @ignore
 */
exports.MetadataType = MetadataType;
let MaxMetadataSizeType = /*#__PURE__*/function (MaxMetadataSizeType) {
  MaxMetadataSizeType[MaxMetadataSizeType["InvalidMetadataSizeInByte"] = -1] = "InvalidMetadataSizeInByte";
  MaxMetadataSizeType[MaxMetadataSizeType["DefaultMetadataSizeInByte"] = 512] = "DefaultMetadataSizeInByte";
  MaxMetadataSizeType[MaxMetadataSizeType["MaxMetadataSizeInByte"] = 1024] = "MaxMetadataSizeInByte";
  return MaxMetadataSizeType;
}({});
/**
 * Media metadata.
 */
exports.MaxMetadataSizeType = MaxMetadataSizeType;
class Metadata {}

/**
 * The metadata observer.
 */
exports.Metadata = Metadata;
/**
 * The CDN streaming error.
 */
let DirectCdnStreamingError = /*#__PURE__*/function (DirectCdnStreamingError) {
  DirectCdnStreamingError[DirectCdnStreamingError["DirectCdnStreamingErrorOk"] = 0] = "DirectCdnStreamingErrorOk";
  DirectCdnStreamingError[DirectCdnStreamingError["DirectCdnStreamingErrorFailed"] = 1] = "DirectCdnStreamingErrorFailed";
  DirectCdnStreamingError[DirectCdnStreamingError["DirectCdnStreamingErrorAudioPublication"] = 2] = "DirectCdnStreamingErrorAudioPublication";
  DirectCdnStreamingError[DirectCdnStreamingError["DirectCdnStreamingErrorVideoPublication"] = 3] = "DirectCdnStreamingErrorVideoPublication";
  DirectCdnStreamingError[DirectCdnStreamingError["DirectCdnStreamingErrorNetConnect"] = 4] = "DirectCdnStreamingErrorNetConnect";
  DirectCdnStreamingError[DirectCdnStreamingError["DirectCdnStreamingErrorBadName"] = 5] = "DirectCdnStreamingErrorBadName";
  return DirectCdnStreamingError;
}({});
/**
 * The current CDN streaming state.
 */
exports.DirectCdnStreamingError = DirectCdnStreamingError;
let DirectCdnStreamingState = /*#__PURE__*/function (DirectCdnStreamingState) {
  DirectCdnStreamingState[DirectCdnStreamingState["DirectCdnStreamingStateIdle"] = 0] = "DirectCdnStreamingStateIdle";
  DirectCdnStreamingState[DirectCdnStreamingState["DirectCdnStreamingStateRunning"] = 1] = "DirectCdnStreamingStateRunning";
  DirectCdnStreamingState[DirectCdnStreamingState["DirectCdnStreamingStateStopped"] = 2] = "DirectCdnStreamingStateStopped";
  DirectCdnStreamingState[DirectCdnStreamingState["DirectCdnStreamingStateFailed"] = 3] = "DirectCdnStreamingStateFailed";
  DirectCdnStreamingState[DirectCdnStreamingState["DirectCdnStreamingStateRecovering"] = 4] = "DirectCdnStreamingStateRecovering";
  return DirectCdnStreamingState;
}({});
/**
 * The statistics of the current CDN streaming.
 */
exports.DirectCdnStreamingState = DirectCdnStreamingState;
class DirectCdnStreamingStats {}

/**
 * The IDirectCdnStreamingEventHandler interface class is used by the SDK to send event notifications of CDN streaming to your app. Your app can get those notifications through methods that inherit this interface class.
 */
exports.DirectCdnStreamingStats = DirectCdnStreamingStats;
/**
 * The media setting options for the host.
 */
class DirectCdnStreamingMediaOptions {}

/**
 * @ignore
 */
exports.DirectCdnStreamingMediaOptions = DirectCdnStreamingMediaOptions;
class ExtensionInfo {}

/**
 * The basic interface of the Agora SDK that implements the core functions of real-time communication.
 *
 * IRtcEngine provides the main methods that your app can call. Before calling other APIs, you must call createAgoraRtcEngine to create an IRtcEngine object.
 */
exports.ExtensionInfo = ExtensionInfo;
class IRtcEngine {}

/**
 * @ignore
 */
exports.IRtcEngine = IRtcEngine;
let QualityReportFormatType = /*#__PURE__*/function (QualityReportFormatType) {
  QualityReportFormatType[QualityReportFormatType["QualityReportJson"] = 0] = "QualityReportJson";
  QualityReportFormatType[QualityReportFormatType["QualityReportHtml"] = 1] = "QualityReportHtml";
  return QualityReportFormatType;
}({});
/**
 * Media device states.
 */
exports.QualityReportFormatType = QualityReportFormatType;
let MediaDeviceStateType = /*#__PURE__*/function (MediaDeviceStateType) {
  MediaDeviceStateType[MediaDeviceStateType["MediaDeviceStateIdle"] = 0] = "MediaDeviceStateIdle";
  MediaDeviceStateType[MediaDeviceStateType["MediaDeviceStateActive"] = 1] = "MediaDeviceStateActive";
  MediaDeviceStateType[MediaDeviceStateType["MediaDeviceStateDisabled"] = 2] = "MediaDeviceStateDisabled";
  MediaDeviceStateType[MediaDeviceStateType["MediaDeviceStateNotPresent"] = 4] = "MediaDeviceStateNotPresent";
  MediaDeviceStateType[MediaDeviceStateType["MediaDeviceStateUnplugged"] = 8] = "MediaDeviceStateUnplugged";
  return MediaDeviceStateType;
}({});
/**
 * Video profile.
 */
exports.MediaDeviceStateType = MediaDeviceStateType;
let VideoProfileType = /*#__PURE__*/function (VideoProfileType) {
  VideoProfileType[VideoProfileType["VideoProfileLandscape120p"] = 0] = "VideoProfileLandscape120p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape120p3"] = 2] = "VideoProfileLandscape120p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape180p"] = 10] = "VideoProfileLandscape180p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape180p3"] = 12] = "VideoProfileLandscape180p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape180p4"] = 13] = "VideoProfileLandscape180p4";
  VideoProfileType[VideoProfileType["VideoProfileLandscape240p"] = 20] = "VideoProfileLandscape240p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape240p3"] = 22] = "VideoProfileLandscape240p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape240p4"] = 23] = "VideoProfileLandscape240p4";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p"] = 30] = "VideoProfileLandscape360p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p3"] = 32] = "VideoProfileLandscape360p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p4"] = 33] = "VideoProfileLandscape360p4";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p6"] = 35] = "VideoProfileLandscape360p6";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p7"] = 36] = "VideoProfileLandscape360p7";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p8"] = 37] = "VideoProfileLandscape360p8";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p9"] = 38] = "VideoProfileLandscape360p9";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p10"] = 39] = "VideoProfileLandscape360p10";
  VideoProfileType[VideoProfileType["VideoProfileLandscape360p11"] = 100] = "VideoProfileLandscape360p11";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p"] = 40] = "VideoProfileLandscape480p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p3"] = 42] = "VideoProfileLandscape480p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p4"] = 43] = "VideoProfileLandscape480p4";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p6"] = 45] = "VideoProfileLandscape480p6";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p8"] = 47] = "VideoProfileLandscape480p8";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p9"] = 48] = "VideoProfileLandscape480p9";
  VideoProfileType[VideoProfileType["VideoProfileLandscape480p10"] = 49] = "VideoProfileLandscape480p10";
  VideoProfileType[VideoProfileType["VideoProfileLandscape720p"] = 50] = "VideoProfileLandscape720p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape720p3"] = 52] = "VideoProfileLandscape720p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape720p5"] = 54] = "VideoProfileLandscape720p5";
  VideoProfileType[VideoProfileType["VideoProfileLandscape720p6"] = 55] = "VideoProfileLandscape720p6";
  VideoProfileType[VideoProfileType["VideoProfileLandscape1080p"] = 60] = "VideoProfileLandscape1080p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape1080p3"] = 62] = "VideoProfileLandscape1080p3";
  VideoProfileType[VideoProfileType["VideoProfileLandscape1080p5"] = 64] = "VideoProfileLandscape1080p5";
  VideoProfileType[VideoProfileType["VideoProfileLandscape1440p"] = 66] = "VideoProfileLandscape1440p";
  VideoProfileType[VideoProfileType["VideoProfileLandscape1440p2"] = 67] = "VideoProfileLandscape1440p2";
  VideoProfileType[VideoProfileType["VideoProfileLandscape4k"] = 70] = "VideoProfileLandscape4k";
  VideoProfileType[VideoProfileType["VideoProfileLandscape4k3"] = 72] = "VideoProfileLandscape4k3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait120p"] = 1000] = "VideoProfilePortrait120p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait120p3"] = 1002] = "VideoProfilePortrait120p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait180p"] = 1010] = "VideoProfilePortrait180p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait180p3"] = 1012] = "VideoProfilePortrait180p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait180p4"] = 1013] = "VideoProfilePortrait180p4";
  VideoProfileType[VideoProfileType["VideoProfilePortrait240p"] = 1020] = "VideoProfilePortrait240p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait240p3"] = 1022] = "VideoProfilePortrait240p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait240p4"] = 1023] = "VideoProfilePortrait240p4";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p"] = 1030] = "VideoProfilePortrait360p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p3"] = 1032] = "VideoProfilePortrait360p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p4"] = 1033] = "VideoProfilePortrait360p4";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p6"] = 1035] = "VideoProfilePortrait360p6";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p7"] = 1036] = "VideoProfilePortrait360p7";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p8"] = 1037] = "VideoProfilePortrait360p8";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p9"] = 1038] = "VideoProfilePortrait360p9";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p10"] = 1039] = "VideoProfilePortrait360p10";
  VideoProfileType[VideoProfileType["VideoProfilePortrait360p11"] = 1100] = "VideoProfilePortrait360p11";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p"] = 1040] = "VideoProfilePortrait480p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p3"] = 1042] = "VideoProfilePortrait480p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p4"] = 1043] = "VideoProfilePortrait480p4";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p6"] = 1045] = "VideoProfilePortrait480p6";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p8"] = 1047] = "VideoProfilePortrait480p8";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p9"] = 1048] = "VideoProfilePortrait480p9";
  VideoProfileType[VideoProfileType["VideoProfilePortrait480p10"] = 1049] = "VideoProfilePortrait480p10";
  VideoProfileType[VideoProfileType["VideoProfilePortrait720p"] = 1050] = "VideoProfilePortrait720p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait720p3"] = 1052] = "VideoProfilePortrait720p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait720p5"] = 1054] = "VideoProfilePortrait720p5";
  VideoProfileType[VideoProfileType["VideoProfilePortrait720p6"] = 1055] = "VideoProfilePortrait720p6";
  VideoProfileType[VideoProfileType["VideoProfilePortrait1080p"] = 1060] = "VideoProfilePortrait1080p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait1080p3"] = 1062] = "VideoProfilePortrait1080p3";
  VideoProfileType[VideoProfileType["VideoProfilePortrait1080p5"] = 1064] = "VideoProfilePortrait1080p5";
  VideoProfileType[VideoProfileType["VideoProfilePortrait1440p"] = 1066] = "VideoProfilePortrait1440p";
  VideoProfileType[VideoProfileType["VideoProfilePortrait1440p2"] = 1067] = "VideoProfilePortrait1440p2";
  VideoProfileType[VideoProfileType["VideoProfilePortrait4k"] = 1070] = "VideoProfilePortrait4k";
  VideoProfileType[VideoProfileType["VideoProfilePortrait4k3"] = 1072] = "VideoProfilePortrait4k3";
  VideoProfileType[VideoProfileType["VideoProfileDefault"] = 30] = "VideoProfileDefault";
  return VideoProfileType;
}({});
/**
 * SDK version information.
 */
exports.VideoProfileType = VideoProfileType;
class SDKBuildInfo {}

/**
 * The VideoDeviceInfo class that contains the ID and device name of the video devices.
 */
exports.SDKBuildInfo = SDKBuildInfo;
class VideoDeviceInfo {}

/**
 * The AudioDeviceInfo class that contains the ID and device name of the audio devices.
 */
exports.VideoDeviceInfo = VideoDeviceInfo;
class AudioDeviceInfo {}
exports.AudioDeviceInfo = AudioDeviceInfo;
//# sourceMappingURL=IAgoraRtcEngine.js.map