// @ts-ignore
export class IAudioDeviceManagerImpl {
  enumeratePlaybackDevices() {
    const apiType = this.getApiTypeFromEnumeratePlaybackDevices();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromEnumeratePlaybackDevices() {
    return 'AudioDeviceManager_enumeratePlaybackDevices';
  }
  enumerateRecordingDevices() {
    const apiType = this.getApiTypeFromEnumerateRecordingDevices();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromEnumerateRecordingDevices() {
    return 'AudioDeviceManager_enumerateRecordingDevices';
  }
  setPlaybackDevice(deviceId) {
    const apiType = this.getApiTypeFromSetPlaybackDevice(deviceId);
    const jsonParams = {
      deviceId: deviceId,
      toJSON: () => {
        return {
          deviceId: deviceId
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetPlaybackDevice(deviceId) {
    return 'AudioDeviceManager_setPlaybackDevice';
  }
  getPlaybackDevice() {
    const apiType = this.getApiTypeFromGetPlaybackDevice();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const deviceId = jsonResults.deviceId;
    return deviceId;
  }
  getApiTypeFromGetPlaybackDevice() {
    return 'AudioDeviceManager_getPlaybackDevice';
  }
  getPlaybackDeviceInfo() {
    const apiType = this.getApiTypeFromGetPlaybackDeviceInfo();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromGetPlaybackDeviceInfo() {
    return 'AudioDeviceManager_getPlaybackDeviceInfo';
  }
  setPlaybackDeviceVolume(volume) {
    const apiType = this.getApiTypeFromSetPlaybackDeviceVolume(volume);
    const jsonParams = {
      volume: volume,
      toJSON: () => {
        return {
          volume: volume
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetPlaybackDeviceVolume(volume) {
    return 'AudioDeviceManager_setPlaybackDeviceVolume';
  }
  getPlaybackDeviceVolume() {
    const apiType = this.getApiTypeFromGetPlaybackDeviceVolume();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const volume = jsonResults.volume;
    return volume;
  }
  getApiTypeFromGetPlaybackDeviceVolume() {
    return 'AudioDeviceManager_getPlaybackDeviceVolume';
  }
  setRecordingDevice(deviceId) {
    const apiType = this.getApiTypeFromSetRecordingDevice(deviceId);
    const jsonParams = {
      deviceId: deviceId,
      toJSON: () => {
        return {
          deviceId: deviceId
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetRecordingDevice(deviceId) {
    return 'AudioDeviceManager_setRecordingDevice';
  }
  getRecordingDevice() {
    const apiType = this.getApiTypeFromGetRecordingDevice();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const deviceId = jsonResults.deviceId;
    return deviceId;
  }
  getApiTypeFromGetRecordingDevice() {
    return 'AudioDeviceManager_getRecordingDevice';
  }
  getRecordingDeviceInfo() {
    const apiType = this.getApiTypeFromGetRecordingDeviceInfo();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromGetRecordingDeviceInfo() {
    return 'AudioDeviceManager_getRecordingDeviceInfo';
  }
  setRecordingDeviceVolume(volume) {
    const apiType = this.getApiTypeFromSetRecordingDeviceVolume(volume);
    const jsonParams = {
      volume: volume,
      toJSON: () => {
        return {
          volume: volume
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetRecordingDeviceVolume(volume) {
    return 'AudioDeviceManager_setRecordingDeviceVolume';
  }
  getRecordingDeviceVolume() {
    const apiType = this.getApiTypeFromGetRecordingDeviceVolume();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const volume = jsonResults.volume;
    return volume;
  }
  getApiTypeFromGetRecordingDeviceVolume() {
    return 'AudioDeviceManager_getRecordingDeviceVolume';
  }
  setLoopbackDevice(deviceId) {
    const apiType = this.getApiTypeFromSetLoopbackDevice(deviceId);
    const jsonParams = {
      deviceId: deviceId,
      toJSON: () => {
        return {
          deviceId: deviceId
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetLoopbackDevice(deviceId) {
    return 'AudioDeviceManager_setLoopbackDevice';
  }
  getLoopbackDevice() {
    const apiType = this.getApiTypeFromGetLoopbackDevice();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const deviceId = jsonResults.deviceId;
    return deviceId;
  }
  getApiTypeFromGetLoopbackDevice() {
    return 'AudioDeviceManager_getLoopbackDevice';
  }
  setPlaybackDeviceMute(mute) {
    const apiType = this.getApiTypeFromSetPlaybackDeviceMute(mute);
    const jsonParams = {
      mute: mute,
      toJSON: () => {
        return {
          mute: mute
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetPlaybackDeviceMute(mute) {
    return 'AudioDeviceManager_setPlaybackDeviceMute';
  }
  getPlaybackDeviceMute() {
    const apiType = this.getApiTypeFromGetPlaybackDeviceMute();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const mute = jsonResults.mute;
    return mute;
  }
  getApiTypeFromGetPlaybackDeviceMute() {
    return 'AudioDeviceManager_getPlaybackDeviceMute';
  }
  setRecordingDeviceMute(mute) {
    const apiType = this.getApiTypeFromSetRecordingDeviceMute(mute);
    const jsonParams = {
      mute: mute,
      toJSON: () => {
        return {
          mute: mute
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetRecordingDeviceMute(mute) {
    return 'AudioDeviceManager_setRecordingDeviceMute';
  }
  getRecordingDeviceMute() {
    const apiType = this.getApiTypeFromGetRecordingDeviceMute();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    const mute = jsonResults.mute;
    return mute;
  }
  getApiTypeFromGetRecordingDeviceMute() {
    return 'AudioDeviceManager_getRecordingDeviceMute';
  }
  startPlaybackDeviceTest(testAudioFilePath) {
    const apiType = this.getApiTypeFromStartPlaybackDeviceTest(testAudioFilePath);
    const jsonParams = {
      testAudioFilePath: testAudioFilePath,
      toJSON: () => {
        return {
          testAudioFilePath: testAudioFilePath
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStartPlaybackDeviceTest(testAudioFilePath) {
    return 'AudioDeviceManager_startPlaybackDeviceTest';
  }
  stopPlaybackDeviceTest() {
    const apiType = this.getApiTypeFromStopPlaybackDeviceTest();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStopPlaybackDeviceTest() {
    return 'AudioDeviceManager_stopPlaybackDeviceTest';
  }
  startRecordingDeviceTest(indicationInterval) {
    const apiType = this.getApiTypeFromStartRecordingDeviceTest(indicationInterval);
    const jsonParams = {
      indicationInterval: indicationInterval,
      toJSON: () => {
        return {
          indicationInterval: indicationInterval
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStartRecordingDeviceTest(indicationInterval) {
    return 'AudioDeviceManager_startRecordingDeviceTest';
  }
  stopRecordingDeviceTest() {
    const apiType = this.getApiTypeFromStopRecordingDeviceTest();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStopRecordingDeviceTest() {
    return 'AudioDeviceManager_stopRecordingDeviceTest';
  }
  startAudioDeviceLoopbackTest(indicationInterval) {
    const apiType = this.getApiTypeFromStartAudioDeviceLoopbackTest(indicationInterval);
    const jsonParams = {
      indicationInterval: indicationInterval,
      toJSON: () => {
        return {
          indicationInterval: indicationInterval
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStartAudioDeviceLoopbackTest(indicationInterval) {
    return 'AudioDeviceManager_startAudioDeviceLoopbackTest';
  }
  stopAudioDeviceLoopbackTest() {
    const apiType = this.getApiTypeFromStopAudioDeviceLoopbackTest();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStopAudioDeviceLoopbackTest() {
    return 'AudioDeviceManager_stopAudioDeviceLoopbackTest';
  }
  followSystemPlaybackDevice(enable) {
    const apiType = this.getApiTypeFromFollowSystemPlaybackDevice(enable);
    const jsonParams = {
      enable: enable,
      toJSON: () => {
        return {
          enable: enable
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromFollowSystemPlaybackDevice(enable) {
    return 'AudioDeviceManager_followSystemPlaybackDevice';
  }
  followSystemRecordingDevice(enable) {
    const apiType = this.getApiTypeFromFollowSystemRecordingDevice(enable);
    const jsonParams = {
      enable: enable,
      toJSON: () => {
        return {
          enable: enable
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromFollowSystemRecordingDevice(enable) {
    return 'AudioDeviceManager_followSystemRecordingDevice';
  }
  followSystemLoopbackDevice(enable) {
    const apiType = this.getApiTypeFromFollowSystemLoopbackDevice(enable);
    const jsonParams = {
      enable: enable,
      toJSON: () => {
        return {
          enable: enable
        };
      }
    };
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromFollowSystemLoopbackDevice(enable) {
    return 'AudioDeviceManager_followSystemLoopbackDevice';
  }
  release() {
    const apiType = this.getApiTypeFromRelease();
    const jsonParams = {};
    callIrisApi.call(this, apiType, jsonParams);
  }
  getApiTypeFromRelease() {
    return 'AudioDeviceManager_release';
  }
  getPlaybackDefaultDevice() {
    const apiType = this.getApiTypeFromGetPlaybackDefaultDevice();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromGetPlaybackDefaultDevice() {
    return 'AudioDeviceManager_getPlaybackDefaultDevice';
  }
  getRecordingDefaultDevice() {
    const apiType = this.getApiTypeFromGetRecordingDefaultDevice();
    const jsonParams = {};
    const jsonResults = callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromGetRecordingDefaultDevice() {
    return 'AudioDeviceManager_getRecordingDefaultDevice';
  }
}
import { callIrisApi } from '../internal/IrisApiEngine';
//# sourceMappingURL=IAudioDeviceManagerImpl.js.map